# Class AptPreferenceConstants

java.lang.Object
org.eclipse.jdt.apt.core.util.AptPreferenceConstants

public class AptPreferenceConstants extends Object
String constants used to access APT preference store This class is not intended to be subclassed or instantiated.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`APT_ENABLED`
`static final String`
`APT_GENSRCDIR`
`static final String`
`APT_GENTESTSRCDIR`
`static final String`
`APT_NULLVALUE`
`static final String`
`APT_PROCESSANNOTATIONS`
`static final String`
`APT_PROCESSOROPTIONS`
`static final String`
`APT_RECONCILEENABLED`
`static final String`
`APT_STRING_BASE`
`static final String`
`DEFAULT_GENERATED_SOURCE_FOLDER_NAME`
`static final String`
`DEFAULT_GENERATED_TEST_SOURCE_FOLDER_NAME`
`static Map<String,String>`
`DEFAULT_OPTIONS_MAP`
`static final String`
`DISABLED`
`static final String`
`ENABLED`
`static final int`
`NSETTINGS`
Number of apt settings in the APT preference store.
`static final String[]`
`OPTION_NAMES`
Names of all apt settings that can be read from APT preference store.
`static final String`
`PROCESSING_IN_EDITOR_DISABLED_OPTION`
Processors should report this option in `AnnotationProcessorFactory.supportedOptions()` in order to disable processing while editing, that is, during reconcile.
`static final String`
`RTTG_ENABLED_OPTION`
Processors should report this option in `AnnotationProcessorFactory.supportedOptions()` in order to enable type generation while editing, that is, during reconcile.

## Constructor Summary

Constructors
Constructor
Description
`AptPreferenceConstants()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### APT_STRING_BASE

public static final String APT_STRING_BASE

See Also:
  - Constant Field Values

### APT_GENSRCDIR

public static final String APT_GENSRCDIR

See Also:
  - Constant Field Values

### APT_GENTESTSRCDIR

public static final String APT_GENTESTSRCDIR

Since:
  3.6
See Also:
  - Constant Field Values

### APT_PROCESSOROPTIONS

public static final String APT_PROCESSOROPTIONS

See Also:
  - Constant Field Values

### APT_RECONCILEENABLED

public static final String APT_RECONCILEENABLED

See Also:
  - Constant Field Values

### APT_PROCESSANNOTATIONS

public static final String APT_PROCESSANNOTATIONS

See Also:
  - Constant Field Values

### APT_ENABLED

public static final String APT_ENABLED

See Also:
  - Constant Field Values

### ENABLED

public static final String ENABLED

See Also:
  - Constant Field Values

### DISABLED

public static final String DISABLED

See Also:
  - Constant Field Values

### APT_NULLVALUE

public static final String APT_NULLVALUE

See Also:
  - Constant Field Values

### DEFAULT_GENERATED_SOURCE_FOLDER_NAME

public static final String DEFAULT_GENERATED_SOURCE_FOLDER_NAME

See Also:
  - Constant Field Values

### DEFAULT_GENERATED_TEST_SOURCE_FOLDER_NAME

public static final String DEFAULT_GENERATED_TEST_SOURCE_FOLDER_NAME

Since:
  3.6
See Also:
  - Constant Field Values

### RTTG_ENABLED_OPTION

public static final String RTTG_ENABLED_OPTION
Processors should report this option in `AnnotationProcessorFactory.supportedOptions()` in order to enable type generation while editing, that is, during reconcile. This setting will be ignored if the processor also reports `PROCESSING_IN_EDITOR_DISABLED_OPTION`.

See Also:
  - Constant Field Values

### PROCESSING_IN_EDITOR_DISABLED_OPTION

public static final String PROCESSING_IN_EDITOR_DISABLED_OPTION
Processors should report this option in `AnnotationProcessorFactory.supportedOptions()` in order to disable processing while editing, that is, during reconcile. If this option is set, ie if processing is disabled, then the value of `RTTG_ENABLED_OPTION` will be ignored. Whether a processor is called during reconcile is also influenced by the project settings and the project factory path.

See Also:
  - `AptConfig.setProcessDuringReconcile(org.eclipse.jdt.core.IJavaProject, boolean)`
  - Constant Field Values

### DEFAULT_OPTIONS_MAP

public static Map<String,String> DEFAULT_OPTIONS_MAP

### OPTION_NAMES

public static final String[] OPTION_NAMES
Names of all apt settings that can be read from APT preference store. Order is unimportant. Note that not all "apt settings" may be in the APT preference store - for instance, the factory path is kept in a separate file. This list only applies to the information available from IPreferencesService. See AptConfig for usage.

### NSETTINGS

public static final int NSETTINGS
Number of apt settings in the APT preference store.

## Constructor Details

### AptPreferenceConstants

public AptPreferenceConstants()